Loading...
Searching...
No Matches
peripheral::BatteryPoweredDevicePackage::VoltageChangedEvent Struct Reference

Event: the voltage of this device changed. More...

`import <PeripheralDevicePackage.idl;`

Inheritance diagram for peripheral::BatteryPoweredDevicePackage::VoltageChangedEvent:

## Public Attributes

double | oldVoltage
| old voltage
double | newVoltage
| new voltage
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: the voltage of this device changed.

Definition at line 97 of file PeripheralDevicePackage.idl.

## Member Data Documentation

## newVoltage

double peripheral::BatteryPoweredDevicePackage::VoltageChangedEvent::newVoltage

new voltage

Definition at line 99 of file PeripheralDevicePackage.idl.

## oldVoltage

double peripheral::BatteryPoweredDevicePackage::VoltageChangedEvent::oldVoltage

old voltage

Definition at line 98 of file PeripheralDevicePackage.idl.

The documentation for this struct was generated from the following file:

- PeripheralDevicePackage.idl